Questions tagged [qt]

a cross-platform application framework for developing application software

Filter by
Sorted by
Tagged with
0 votes
1 answer
81 views

How to compile Qt 4.8.7 under Debian Bookworm and Bullseye

My Tool BoUML is based on Qt4 with Qt3 support, and I wanted to compile it under Debian Bookworm on my new Pi5. For that I needed first to compile that old QT version from sources, and without ...
bruno's user avatar
  • 101
0 votes
1 answer
35 views

Display driver failure in PyQt5 under bookworm

I am running a PyQt5 console GUI (eglfs) application and seeing a problem under bookworm that I was not present under earlier versions of Pi OS. I have observed this behaviour both on a Pi 2 with a ...
Christi's user avatar
  • 210
0 votes
1 answer
38 views

compiler linking error GPIO libraries no longer initialising

I am working on a private project and have run into a linking error described below: undefined reference to `gpioSetMode' collect2: error: ld returned 1 exit status I am using g++ and the terminal to ...
winterx0's user avatar
0 votes
0 answers
77 views

Cross-Compiling Qt6 for Zero 2 W?

I am trying to build a cross compiling setup for the following system configuration: Qt6.5 LTS Running Raspberry Pi OS Lite 64-bit based on Bookworm Host: Ubuntu 22.04.3 LTS on WSL There aren't many ...
Vishesh Varma's user avatar
0 votes
0 answers
43 views

Dual Monitor on Raspberry Pi4 running Ubuntu 23.1 and KDE Plasma

I have a Pi4 which refuses to display two monitors using Ubuntu 23.10 and KDE Plasma The same Pi shows the 2 monitors using Ubuntu Mate Desktop. I am switching to KDE because I want to use PyQt5 not ...
themetman's user avatar
0 votes
1 answer
27 views

PyQt5 Widget Background Color Incorrect on my Pi

I have searched high and low for this problem, but cannot find anything anywhere. I have Python Version 3.8.10 and PyQt5 version 5.15.10 running in a Virtual Environment on my Py4 with 8Gb Memory ...
themetman's user avatar
1 vote
0 answers
49 views

Process/Flow/steps for speeding of the booting time in raspberry pi for the cluster

I am using Raspberry pi for the cluster, that would display the basic data like the CAN data and one wire data. For can I used the Can-Socket and for one wire I am just reading a gpio pin of raspberry ...
John Mist's user avatar
0 votes
1 answer
112 views

Pi Zero W goes black screen while running pyqt qml app

I wrote a pyqt5 app that uses QQmlApplicationEngine to load a qml file for the GUI. Now everything runs well on my PC and also on Raspberry Pi4b, but when I am trying to run it on Pi Zero W, it loads ...
Mashur Shalehin's user avatar
0 votes
1 answer
198 views

Qt6 compiler binary package

I'm aware I can cross-compile Qt6 on my dev machine or I can build the Qt6 from sources directly on the Rapsberry Pi. But is there any binary package for the compiler? Like when you use the online ...
Mark's user avatar
  • 513
1 vote
0 answers
216 views

Example of libcamera with Qt6 in c++?

I'm trying to build a Qt app on my RPi4 using libCamera in c++, but I keep having build/compile issues. Are there any examples of using libCamera in a Qt app in c++? I'm using Raspbian bullseye, and ...
robotanical's user avatar
0 votes
0 answers
139 views

PyQt QSoundEffect not working on Pi 4B

I am having a perplexing difficulty, in that I cannot get my PyQt program to produce any sound. I am able to get sound correctly from the Pi over HDMI using speaker-test and paplay, so I am happy ...
Christi's user avatar
  • 210
0 votes
1 answer
3k views

install qtcreator kit on raspberry pi 4b - 64 bit

I've tries sudo apt install qtcreator and menu / preferences / add/remove software - search qtcreator, check qtcreator, apply both seem to install qtcreator ok. But it can't find any qt kit. which ...
Stephen Hazel's user avatar
0 votes
1 answer
190 views

/opt/cmake/bin/cmake no file in the directory

I am installing Qt6 using this guide https://www.tal.org/tutorials/building-qt-62-raspberry-pi and i am stuck in the Configure the Qt 6.2 build portion where it asks me to execute this line /opt/cmake/...
DrakeJest's user avatar
1 vote
1 answer
879 views

qtcreator desktop kit is greyed out

Its been quite a while since my last raspberry pi project. I went ahead and bought a new Rpi 4B and installed a fresh Raspbian OS on it and installed qt the way i remember it $ sudo apt-get install ...
DrakeJest's user avatar
0 votes
0 answers
325 views

can we send data or files via wifi from a Raspberry PI using a QT graphical interface to another pc under Windows?

so my Raspberry card is connected to a screen by HDMI, I want to develop an interface using the QT platform under linux to give the order to my Rpi card to send data or files and even to receive ...
kail's user avatar
  • 1
0 votes
1 answer
518 views

Running python GUI application with PyQt and python-vlc as a service

I'm trying to run a python GUI application as a service. The application is using PyQt5 and python-vlc packages. I have the following service file: [Unit] Description="Python VLC Service Test&...
Kwigon's user avatar
  • 1
2 votes
1 answer
424 views

Unable to get Qt5 audio to work using pulseaudio on Rpi 4

I'm on Raspberry pi 4 and the OS is DietPi I configured ALSA so I could play an audio file successfully through HDMI using aplay [an audio file] Then launched the PyQt5 app but got PulseAudioService: ...
A_Kz's user avatar
  • 31
0 votes
2 answers
676 views

Pyqt QCameraInfo.availableCameras() is empty

I'm doing a small project on Raspberry Pi 4. Also, I want to use QtMultimedia to list all cameras on pi, But it returns an empty list. # This is my testing code from PyQt5.QtMultimedia import ...
Fuan's user avatar
  • 13
1 vote
1 answer
870 views

Download QT 5.12.0 on my Raspberry fails

I currently have the 5.11.3 Qt Version on my Raspberry 3 B+. For another program, I want to use I need at least Qt 5.12.0. When I try sudo apt-get install qt5-default it says that I already ...
PatriciaAM's user avatar
0 votes
0 answers
318 views

Run QT5 app (chiaki remote play) on raspberry OS lite

I would like to run Chiaki (Playstation Remote Play https://github.com/Fredrum/chiaki) on my raspberrypi zero WH running raspberrypiOS lite (so no GUI). running chiaki itself on a raspberry pi(zero ...
Paolo Squadrito's user avatar
3 votes
1 answer
65 views

magnetic field generated by the engine alternator affects gpio value

I am working on a dashboard for a motorcycle. I created a Qt application on my raspberry pi 4 on a raspberry pi os lite. I have configured one of my GPIO as interrupt using the wiringPi library. ...
mina's user avatar
  • 377
1 vote
0 answers
319 views

QT Creator - Raspberry Pi - 3.5" TFT - Could not initialize egl display

Please forgive my ignorance but I'm new to Raspberry Pi/Linux. I'm trying to make a touch screen app for the Pi using a 3.5" touch screen (xpt2046) and QT Creator (5.12.5). QT Creator is running ...
Glyn Davidson's user avatar
2 votes
1 answer
2k views

autostart application on raspberry pi 4 (systemd)

I am working with raspberry pi os lite on raspberry pi 4. I wanted to autostart a Qt application. I created under /etc/systemd/system a .service file named application_one.service this is what the ....
mina's user avatar
  • 377
1 vote
1 answer
137 views

Qt Quick cross compiled application didn't show images on raspberry pi 4

I cross compiled Qt5.14.2 for my raspberry pi 4 on a raspberry pi OS lite after that I created a Qt Quick application on my Ubuntu and I integrated images in my qml file Image { id: compteur ...
mina's user avatar
  • 377
0 votes
1 answer
4k views

How to install PySide2 on RaspberryPi?

i use this command to install PySide2: $ pip3 install pyside2 and i get this error: ERROR: Could not find a version that satisfies the requirement pyside2 (from versions: none) ERROR: No matching ...
Sajjad Aemmi's user avatar
1 vote
0 answers
201 views

pi4 crashes when running any QT apps like RPi imager, VLC, OBS

when opening for example VLC in stock rpiOS the window that asks for metadata network access opens, but its so large that the text in the menu bar takes almost all of my screen and after some time my ...
Itai Nelken's user avatar
0 votes
1 answer
55 views

Updating text file with sensor datas from three different threads

I am getting values from three different sensors connected to Raspberry Pi. I am using a ADC grove to get those data's. I am updating these sensor data with date and time in a text file. The problem ...
vijayakumar sargunam's user avatar
0 votes
1 answer
1k views

Cross compiling QT 5.14 for raspberry pi 4 [ Could not queue DRM page flip on screen HDMI (invalid argument) ]

I have cross-compiled Qt 5.14 on raspberry pi 4 using ubuntu 18.04 I just followed al the steps of this tutoriel https://www.youtube.com/watch?v=TmtN3Rmx9Rk&t=2538s the code is just right here ...
mina's user avatar
  • 377
2 votes
1 answer
581 views

No audio through 3.5mm jack when using QtMultimedia on RPI4B

I am currently trying to run a PYQT5 GUI on my RPI 4B using PYQT5 and its QtMultimedia. I have 2 speakers (running through an amp) connected through the 3.5mm jack (BMC2835 headphones), and while ...
Mawten's user avatar
  • 31
1 vote
0 answers
42 views

Horizontal lines on qt 5.13 app . Problem doesn't present with virtual screen (chvt) manipulation

I have a full-screen app in kiosk mode that runs on qt 5.13.2 (Qt compiled from source). Up until 1 week ago, it displayed just fine. Then, I did an apt dist-upgrade and I now get horizontal lines ...
Ross Rogers's user avatar
2 votes
0 answers
303 views

OpenCV cross-compilation fails

I have cross-compiled Qt on my CentOS host for my Raspberry Pi and now I want to cross-compile OpenCV with the following script: CORES=4 IP=192.168.178.52 TEMP_PATH=/home/kampi/OpenCV SYSROOT_PATH=/...
Kampi's user avatar
  • 203
0 votes
0 answers
5k views

Could not initialize egl display

I have a CentOS host which should be used to develop Qt applications (version 5.12.8) for a Raspberry Pi. I use the following Raspberry Pi setup: $ cat /proc/cpuinfo ... model name : ARMv7 ...
Kampi's user avatar
  • 203
0 votes
2 answers
5k views

installing qt on raspberry pi 4

I'm installing Qt to my raspberry pi-4 for image processing project. I use the commands: sudo apt update uname -a apt-cache search qt5 apt-cache show qt5-default apt-cache search qtcreator apt-cache ...
Hamid Reza's user avatar
2 votes
1 answer
1k views

SIP Generator Error Installing ROS Melodic on Raspberry Pi 4

I've been attempting to install ROS Melodic on my Raspberry Pi 4 (running Raspbian Stretch) according to the instructions on this webpage: [https://www.instructables.com/id/ROS-Melodic-on-Raspberry-...
user114149's user avatar
1 vote
0 answers
245 views

Cross-compiling QT interface to a Raspberry PI 3

I'm trying to install Qt interface to a Raspberry Pi 3, which raspbian is the "2016-05-27-raspbian-jessie". I didn't want to install, directly, all the packages on the raspberry so as to let ...
Nour's user avatar
  • 19
0 votes
0 answers
735 views

Raspberry pi - QT webenginewidgets problem

I use raspberry pi and QT (version 5.7.1). When I use QT += webenginewidgets , I get an error Project ERROR: Unknown module(s) in QT: webenginewidgets however I try to install -sudo apt-get install ...
şevket Karayılan's user avatar
1 vote
1 answer
627 views

Cross-compile of Qt for Raspberry Pi fails for XCB support with updated toolchain

I had successfully cross-compiled Qt 5.11.2 for Raspbian Buster on Ubuntu 18.04 host mostly using these guides: https://www.ics.com/blog/configuring-qt-creator-raspberry-pi https://wiki.qt.io/...
NickD2039's user avatar
2 votes
0 answers
2k views

Why GLX or EGL is not enabled when running QT program?

To start with I have to say I was trying to make cross-compilation work for Ubuntu with Raspberry Pi 3+ B. I used this tutorial https://wiki.qt.io/RaspberryPi2EGLFS and QT in version 5.12.4. Tried it ...
WakeCaine's user avatar
2 votes
1 answer
62 views

Compile Qt application on Raspberry Pi and Run that application on other ARM device. Will it work?

I am compiling One Qt application on Raspberry Pi and Run it on different ARM device like Microchip or TI board without compile again. will it work??? if both the side Qt version is same.
Mehta's user avatar
  • 31
0 votes
0 answers
70 views

MFRC522 and Bluetooth not work together

I have a program in which I use pyqt5, MFRC522 and bluetooth. I have 3 threads, one for the interface, one for the MFRC522 and one for the bluetooth. If I run the MFRC522 and the bluetooth separately ...
israel's user avatar
  • 1
1 vote
1 answer
1k views

symbol lookup error: undefined symbol: _ZN7QWidget8qwsEventEP8QWSEvent

I have cross-compiled executable file from QT 4.8.7. I am running it on a Raspberry PI (Ubuntu), with QT 4.8.7 and QT declarative module installed. When i run the executable file on my raspberry pi, i ...
Mehta's user avatar
  • 31
0 votes
3 answers
1k views

Configure Raspberry pi to run my application before GUI Desktop

I have created an application through Python that has library dependencies on Qt4, pyqt4, pyqtgraph etc. This application is based on Raspberry Pi, I have developed and finished it on the platform. I ...
Dot's user avatar
  • 1
-1 votes
1 answer
313 views

How to use at the same time 2 hardware pwm in wiringpi

I need help to configure 2 hardware PWM channels. I am developing device, and sometimes I will need active 2 PWM channels with different frequencies (frequencies is low: 410 and 580 Hz).I'm writing ...
Vladislav Emets's user avatar
1 vote
3 answers
3k views

How do I build Qt's mysql-plugin on Raspbian Buster

I try to build the MySQL plugin on a Raspbian Buster with C++ and Qt 5.12.4. Building Qt itself worked fine by following this tutorial: https://www.tal.org/tutorials/building-qt-512-raspberry-pi ...
elnacho's user avatar
  • 43
1 vote
1 answer
826 views

Failure to build QT5 5.12.3 on Raspberry Pi zero

Following the instructions in https://www.tal.org/tutorials/building-qt-512-raspberry-pi,: wget http://download.qt.io/official_releases/qt/5.12/5.12.3/single/qt-everywhere-src-5.12.3.tar.xz tar xf qt-...
Soheil Paper's user avatar
2 votes
0 answers
700 views

Qt cross compilation *QOpenGLShaderProgram: could not create shader program* error

I am using the QT Creator for my laptop (Linux LMDE 3 Cindy OS) And for Raspberry Zero Cross-compiling. I have installed the QT based of this instruction and by this setting: mkdir ~/raspi ...
Soheil Paper's user avatar
1 vote
0 answers
714 views

RaspberryPi2EGLFS guide - EGL/GLES libraries fix fail

I built Qt 5.12.3 for Raspberry Pi following the RaspberryPi2EGLFS guide from Qt Wiki. I was able to reproduce almost each one of the steps described in the guide, but on step 14 (EGL/GLES libraries ...
rrd's user avatar
  • 111
2 votes
1 answer
141 views

Does a binary built on pi 3 will work on pi 2?

I'm building an app on a raspberry pi 3. I'm using Qt. Will the generated binary work on raspberry pi 2? Thanks
Julien's user avatar
  • 131
1 vote
1 answer
1k views

Raspberry Pi 3 B+ QMediaPlayer - unable to play sound

I'm struggling to play audio files using Qt 5.11.3 and the QMediaPayer class. There is no sound output when playing either .mp3 or .wav files. I had some success to play a wav file using QSound class. ...
Alex B.'s user avatar
  • 41
0 votes
0 answers
32 views

The application stalls when the service is loaded at startup

I have RPI3B + with Raspian Stretch on which I run the QT application. When I create my service to launch the application after starting the rpi i have problems.. The application starts and then the ...
Sqwerize's user avatar